<div class="form-group" show-errors>
    <label class="control-label ">
        Label
    </label>
    <input class="form-control" ng-model="vm.recipe.label" name="label" type="text" required maxlength="100"/>
    <p class="help-block" ng-if="recipeUpdateForm.label.$error.required">Recipe's label is
        required</p>
</div>
<div class="form-group" show-errors>
    <label class="control-label ">
        Provider
    </label>
    <input class="form-control" ng-model="vm.recipe.provider" name="provider" type="text"
           required/>
    <p class="help-block" ng-if="recipeUpdateForm.provider.$error.required">Recipe's provider is
        required</p>
</div>
<div class="form-group" show-errors>
    <label class="control-label ">
        Description
    </label>
    <textarea class="form-control" ng-model="vm.recipe.description" name="description" required maxlength="500" rows="4"></textarea>
    <p class="help-block" ng-if="recipeUpdateForm.description.$error.required">Recipe's description is
        required</p>
    <p class="help-block" ng-if="recipeUpdateForm.description.$error.maxlength">Recipe's description max length is 500</p>
</div>
<div class="form-group" show-errors>
    <label class="control-label ">
        Cooking Instructions
    </label>
    <textarea class="form-control" ng-model="vm.recipe.cookingInstructions" name="cookingInstructions" required maxlength="2000" rows="4"></textarea>
    <p class="help-block" ng-if="recipeUpdateForm.cookingInstructions.$error.required">Recipe's directions is
        required</p>
    <p class="help-block" ng-if="recipeUpdateForm.cookingInstructions.$error.required">Recipe's instructions max length is 2000</p>
</div>
<div class="form-group" ng-class="{ 'has-error' : recipeUpdateForm.$error.ingredients && recipeUpdateForm.$submitted}">
    <div class="row">
        <label class="control-label col-md-2">
            Ingredients
        </label>
        <div class="col-md-10">
            <div class="form-inline" ng-repeat="ingredient in vm.recipe.ingredientLines">
                <div class="form-group">
                    <input type="text" ng-model="ingredient.line" class="form-control" placeholder="Line... up to 100 characters" maxlength="100">
                </div>
                <div class="form-group">
                    <input type="text" ng-model="ingredient.slug" class="form-control" placeholder="Slug..."/>
                </div>
                <div class="form-group">
                    <a href="" class="btn btn-danger" ng-click="vm.recipe.ingredientLines.splice($index, 1)">Remove</a>
                </div>
            </div>
            <div class="form-inline">
                <div class="form-group">
                    <a href="" class="btn btn-primary" ng-click="vm.recipe.ingredientLines.length == 0 || vm.recipe.ingredientLines[vm.recipe.ingredientLines.length - 1].line ? vm.recipe.ingredientLines.push({}) : false">Add</a>
                </div>
            </div>
            <p class="help-block" ng-if="recipeUpdateForm.$error.ingredients && recipeUpdateForm.$submitted">At least 1 ingredient is required.</p>
        </div>
    </div>
</div>
<div class="form-group" ng-class="{ 'has-error' : recipeUpdateForm.$error.digest && recipeUpdateForm.$submitted }">
    <div class="row">
        <label class="control-label col-md-2">
            Digest
        </label>
        <div class="col-md-10">
            <div class="form-inline" ng-repeat="digest in vm.recipe.digest">
                <div class="form-group">
                    <input type="text" ng-model="digest.label" class="form-control" placeholder="label">
                </div>
                <div class="form-group">
                    <input type="text" ng-model="digest.unit" class="form-control" placeholder="unit..."/>
                </div>
                <div class="form-group">
                    <input type="text" ng-model="digest.total" class="form-control" placeholder="total..."/>
                </div>
                <div class="form-group">
                    <a href="" class="btn btn-danger" ng-click="vm.recipe.digest.splice($index, 1)">Remove</a>
                </div>
            </div>
            <div class="form-inline">
                <div class="form-group">
                    <a href="" class="btn btn-primary" ng-click="vm.recipe.digest.length == 0 || vm.recipe.digest[vm.recipe.digest.length - 1].label ? vm.recipe.digest.push({}) : false">Add</a>
                </div>
            </div>
            <p class="help-block" ng-if="recipeUpdateForm.$error.digest && recipeUpdateForm.$submitted">At least 1 digest is required.</p>
        </div>
    </div>
</div>
<div class="form-group" show-errors>
    <label class="control-label ">
        Health Labels
    </label>
    <tags-input ng-model="vm.recipe.healthLabels"
                name="healthLabels"
                add-on-blur="false"
                min-tags="0"
                add-from-autocomplete-only="true"
                allow-leftover-text="false">
        <auto-complete source="vm.labels($query)"></auto-complete>

    </tags-input>

</div>
<div class="form-group" show-errors>
    <label class="control-label ">
        Image Url
    </label>
    <input class="form-control" ng-model="vm.recipe.image" name="image" type="text"/>
</div>
<div class="form-group">

    <img class="img-responsive" width="80" ng-src="{{vm.recipe.image}}"
         alt="{{vm.recipe.label}}">
</div>
<div class="form-group" show-errors>
    <label class="control-label ">
        Link
    </label>
    <input class="form-control" ng-model="vm.recipe.url" name="url" type="text" required/>
    <p class="help-block" ng-if="recipeUpdateForm.url.$error.required">Recipe's link is
        required</p>
</div>
<div class="form-group" show-errors>
    <label class="control-label ">
        Yield
    </label>
    <input class="form-control" ng-model="vm.recipe.yield" name="yield" type="text" required ng-pattern="'\\d+'"/>
    <p class="help-block" ng-if="recipeUpdateForm.yield.$invalid && !recipeUpdateForm.yield.$error.required">Only numeric values allowed</p>
    <p class="help-block" ng-if="recipeUpdateForm.yield.$invalid && recipeUpdateForm.yield.$error.required">Recipe's yield is required</p>
</div>
<div class="form-group" show-errors>
    <label class="control-label ">
        Calories
    </label>
    <input class="form-control" ng-model="vm.recipe.calories" name="calories" type="text" ng-pattern="'\\d+'"/>
    <p class="help-block" ng-if="recipeUpdateForm.calories.$invalid">Only numeric values allowed</p>
</div>